<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/rootView"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/common_bkg"
    android:orientation="vertical">

    <include layout="@layout/include_main_title" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_55"
                android:orientation="horizontal"
                android:paddingHorizontal="@dimen/dp_10">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:fontFamily="sans-serif-medium"
                    android:gravity="center"
                    android:text="我的设备"
                    android:textColor="@color/black"
                    android:textSize="@dimen/sp_18" />

                <Button
                    android:id="@+id/showAllDeviceButton"
                    android:layout_width="@dimen/dp_60"
                    android:layout_height="@dimen/dp_25"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:background="@drawable/button_common_selector"
                    android:text="查看全部"
                    android:textColor="@color/mainTextColor"
                    android:textSize="@dimen/sp_10"
                    android:visibility="gone" />
            </RelativeLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/deviceRecyclerView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="@dimen/dp_10"
                android:scrollbars="none"
                app:layoutManager="androidx.recyclerview.widget.GridLayoutManager"
                app:spanCount="2" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_55"
                android:fontFamily="sans-serif-medium"
                android:gravity="center_vertical"
                android:paddingHorizontal="@dimen/dp_10"
                android:text="其他设备"
                android:textColor="@color/black"
                android:textSize="@dimen/sp_18" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/otherDeviceRecyclerView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="@dimen/dp_10"
                android:scrollbars="none"
                app:layoutManager="androidx.recyclerview.widget.GridLayoutManager"
                app:spanCount="2" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                android:orientation="vertical"
                android:paddingBottom="@dimen/dp_5">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:fontFamily="sans-serif-medium"
                    android:padding="@dimen/dp_10"
                    android:text="热门推荐"
                    android:textColor="@color/black"
                    android:textSize="@dimen/sp_18" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/recommendRecyclerView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_5"
                    android:paddingHorizontal="@dimen/dp_10"
                    android:scrollbars="none"
                    app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />
            </LinearLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</LinearLayout>